
/* female(X)  defines which individuals (atoms) are female  */
female(marge).
female(lisa).
female(maggie).

/* parents(X, M, W)  defines that individual  X  has  M  as a father 
     and  W  as a mother  */
parents(bart, homer, marge).
parents(lisa, homer, marge).
parents(maggie, homer, marge).


/* sisterOf(X, Y)  defines that  Y is the sister of  X  if
   Y is female,  X's and Y's parents are the same, and  X != Y  */
sisterOf(X,Y) :- female(Y),
                 parents(Y,M,W),
                 parents(X,M,W).


/* What happens if we type a period instead of a comma above ?  */

/* Some useful built-in predicates:   listing,  write(E),  trace(PREDICATE)
   Try each of them.  */


/* An _atom_ is a single word,  e.g.,  homer ,  or a single-quoted
   string, e.g.,  'Homer Simpson'.

   A logical variable must begin with an Uppercase letter.

   A _string_ is double quoted, e.g.,  "Homerun", and it is actually
   a list of ints (ASCII codes) !   For now, use just atoms.
*/


